
package store;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the store package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetForNameResponse_QNAME = new QName("http://store/", "getForNameResponse");
    private final static QName _GetProductsResponse_QNAME = new QName("http://store/", "getProductsResponse");
    private final static QName _GetForName_QNAME = new QName("http://store/", "getForName");
    private final static QName _GetProducts_QNAME = new QName("http://store/", "getProducts");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: store
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Product }
     * 
     */
    public Product createProduct() {
        return new Product();
    }

    /**
     * Create an instance of {@link GetForNameResponse }
     * 
     */
    public GetForNameResponse createGetForNameResponse() {
        return new GetForNameResponse();
    }

    /**
     * Create an instance of {@link GetForName }
     * 
     */
    public GetForName createGetForName() {
        return new GetForName();
    }

    /**
     * Create an instance of {@link GetProductsResponse }
     * 
     */
    public GetProductsResponse createGetProductsResponse() {
        return new GetProductsResponse();
    }

    /**
     * Create an instance of {@link GetProducts }
     * 
     */
    public GetProducts createGetProducts() {
        return new GetProducts();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetForNameResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://store/", name = "getForNameResponse")
    public JAXBElement<GetForNameResponse> createGetForNameResponse(GetForNameResponse value) {
        return new JAXBElement<GetForNameResponse>(_GetForNameResponse_QNAME, GetForNameResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://store/", name = "getProductsResponse")
    public JAXBElement<GetProductsResponse> createGetProductsResponse(GetProductsResponse value) {
        return new JAXBElement<GetProductsResponse>(_GetProductsResponse_QNAME, GetProductsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetForName }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://store/", name = "getForName")
    public JAXBElement<GetForName> createGetForName(GetForName value) {
        return new JAXBElement<GetForName>(_GetForName_QNAME, GetForName.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProducts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://store/", name = "getProducts")
    public JAXBElement<GetProducts> createGetProducts(GetProducts value) {
        return new JAXBElement<GetProducts>(_GetProducts_QNAME, GetProducts.class, null, value);
    }

}
